Crypto++ 8.9 Free C++ class library of cryptographic schemes

List of all members
SosemanukPolicy Class Reference

Sosemanuk stream cipher implementation. More...

Inheritance diagram for SosemanukPolicy:

## Additional Inherited Members
Public Types inherited from AdditiveCipherConcretePolicy< word32, 20 >
typedef word32 | WordType
| Word type for the cipher.
Public Member Functions inherited from AdditiveCipherConcretePolicy< word32, 20 >
unsigned int | GetAlignment () const
| Provides data alignment requirements. More...
unsigned int | GetBytesPerIteration () const
| Provides number of bytes operated upon during an iteration. More...
unsigned int | GetIterationsToBuffer () const
| Provides buffer size based on iterations. More...
bool | CanOperateKeystream () const
| Flag indicating. More...
Public Member Functions inherited from AdditiveCipherAbstractPolicy
virtual void | WriteKeystream (byte *keystream, size_t iterationCount)
| Generate the keystream. More...
virtual void | SeekToIteration (lword iterationCount)
| Seeks to a random position in the stream. More...
Static Public Member Functions inherited from SosemanukInfo
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from VariableKeyLength< 16, 1, 32, 1, SimpleKeyingInterface::UNIQUE_IV, 16 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| Provides a valid key length for the algorithm provided by a static function. More...
Static Public Attributes inherited from AdditiveCipherConcretePolicy< word32, 20 >
static const int | BYTES_PER_ITERATION
| Number of bytes for an iteration. More...
Static Public Attributes inherited from VariableKeyLength< 16, 1, 32, 1, SimpleKeyingInterface::UNIQUE_IV, 16 >
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | KEYLENGTH_MULTIPLE
| The key length multiple used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default initialization vector length for the algorithm provided as a constant. More...

## Detailed Description

Sosemanuk stream cipher implementation.

Since
  Crypto++ 5.5

Definition at line 30 of file sosemanuk.h.

The documentation for this class was generated from the following files:

- sosemanuk.h
- sosemanuk.cpp